Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.el.lang
Class ExpressionBuilder

    java.lang.Object
      org.apache.struts2.el.lang.ExpressionBuilder

All Implemented Interfaces:
  NodeVisitor

    public final class ExpressionBuilder

extends Object
implements NodeVisitor

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: rjung $
Author:
  Jacob Hookom [jacob@hookom.net]

Constructor Summary
`ExpressionBuilder(String expression, javax.el.ELContext ctx)`

Method Summary
`javax.el.MethodExpression` | `createMethodExpression(Class expectedReturnType, Class[] expectedParamTypes)`
`static Node` | `createNode(String expr)`
`javax.el.ValueExpression` | `createValueExpression(Class expectedType)`
`void` | `visit(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionBuilder

    public ExpressionBuilder(String expression,
                             javax.el.ELContext ctx)
                      throws javax.el.ELException

Throws:
  `javax.el.ELException`

Method Detail

### createNode

    public static final Node createNode(String expr)
                                 throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### visit

    public void visit(Node node)
               throws javax.el.ELException

  Specified by:
    `visit` in interface `NodeVisitor`
  Throws:
    `javax.el.ELException`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(Class expectedType)
                                                   throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### createMethodExpression

    public javax.el.MethodExpression createMethodExpression(Class expectedReturnType,
                                                            Class[] expectedParamTypes)
                                                     throws javax.el.ELException

  Throws:
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.